%global python3_pkgversion 38
%global commitId c67387b3445607db820e79f6e9e59fee0c0eb494

Name:          aap-azure-billing
Version:       0.0.1
Release:       0.1.%(date +"%Y%m%d").gitc67387b%{?dist}
Summary:       Ansible Automation Platform Azure Billing connector

License:       ASL 2.0
URL:           git@github.com:ansible/ansible-automation-platform-azure-billing.git
Source0:       aap-azure-billing-c67387b3445607db820e79f6e9e59fee0c0eb494.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-dateutil
Requires:      python%{python3_pkgversion}-django
Requires:      python%{python3_pkgversion}-requests
Requires:      python%{python3_pkgversion}-psycopg2

%description
Ansible Automation Platform Azure Billing connector

%prep
%autosetup -n %{name}-%{commitId} -S git

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python3_sitelib}/*
%{_bindir}/aap-azure-billing
%{_bindir}/aap-azure-billing-manage
%license LICENSE
%doc README.rst

%changelog
* Tue Nov 23 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure-billing 0.0.1
